//Ex5_21.cpp
#include "iostream" 
using namespace std;
template <class T1, class T2, class T3>
T2 plus(T1 t1,T3 t3){return t1+t3;}		//T2未出现在函数形参表中
void main()
{cout<<showpoint;
 //cout<<plus(3,5L)<<endl;			    //错误
 //cout<<plus<>(3,5L)<<endl;		    //错误
 //cout<<plus<int>(3,5L)<<endl;		    //错误
 cout<<plus<int,double>(3,5L)<<endl;	    //正确(double是T2的实参)
 cout<<plus<int,double,long>(3,5L)<<endl;	  //正确(double是T2的实参)
}
